.mr-switch {

    label {
        display: inline-flex;
        cursor: pointer;

        .mr-switch-label {
            color: $primary;
            font-weight: normal;
            text-transform: none;
            font-size: .9rem;
        }

        input {
            display: none;

            & + span.display {
                margin-left: 10px;
                position: relative;
                display: inline-block;
                height: 18px;
                width: 35px;
                border-radius: 50px;
                background: #ddd;
                position: relative;
                transition: .2s;

                &::after {
                    content: '';
                    position: absolute;
                    background: white;
                    border: none;
                    border-radius: 50%;
                    margin: 0;
                    left: 2px;
                    top: 2px;
                    height: 14px;
                    width: 14px;
                    transition: .3s;
                }
            }

        }

        &.on {
            input + span.display {
                background: $primary;

                &::after {
                    left: 19px;
                }
            }
        }
    }
}
